> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Decline Invitation

> Decline a pending invitation.

The invitation is marked as declined and kept for audit purposes.
The team admin can send a new invitation if needed.



## OpenAPI

````yaml POST /v1/users/me/invitations/{invitation_id}/decline
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/users/me/invitations/{invitation_id}/decline:
    post:
      tags:
        - Invitations
      summary: Decline Invitation
      description: |-
        Decline a pending invitation.

        The invitation is marked as declined and kept for audit purposes.
        The team admin can send a new invitation if needed.
      operationId: decline_invitation_v1_users_me_invitations__invitation_id__decline_post
      parameters:
        - name: invitation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Invitation Id
      responses:
        '204':
          description: Successful Response
        '400':
          description: Invitation not pending
        '403':
          description: Invitation is for different email
        '404':
          description: Invitation not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````